summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-cdr/cdck
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-cdr/cdck')
-rw-r--r--app-cdr/cdck/Manifest1
-rw-r--r--app-cdr/cdck/cdck-0.7.0-r1.ebuild34
-rw-r--r--app-cdr/cdck/metadata.xml19
3 files changed, 54 insertions, 0 deletions
diff --git a/app-cdr/cdck/Manifest b/app-cdr/cdck/Manifest
new file mode 100644
index 00000000000..c845223c390
--- /dev/null
+++ b/app-cdr/cdck/Manifest
@@ -0,0 +1 @@
+DIST cdck-0.7.0.tar.gz 240285 SHA256 cb817ef2e8ab37d499d3630264901b9d22ebe67345507acd364f8f1e3995b404 SHA512 aa53a2270fdf4f7d9b61bfe5b4a876ea63baad18b7cc7c920049b446f5518aee3c8389a9c5990bd96ce7e641222d39a70da86e2c6235bb68f054c576ddbc3730 WHIRLPOOL e1e147714459191c9a7c5be7b317b3f125922c90d0cc05ac92828a203b34ab7738a2694e61f96dbb28f97e67fd62be881922e4fd85dbfeb5d9bb4c2f638faaca
diff --git a/app-cdr/cdck/cdck-0.7.0-r1.ebuild b/app-cdr/cdck/cdck-0.7.0-r1.ebuild
new file mode 100644
index 00000000000..a870b32b2b6
--- /dev/null
+++ b/app-cdr/cdck/cdck-0.7.0-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils
+
+DESCRIPTION="Measure the read time per sector on CD or DVD to check the quality"
+HOMEPAGE="http://swaj.net/unix/index.html#cdck"
+SRC_URI="http://swaj.net/unix/cdck/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+src_prepare() {
+ sed -e '1d' -i man/cdck_man.in || die "sed failed"
+}
+
+src_configure() {
+ econf --disable-dependency-tracking \
+ --disable-shared || die "econf failed."
+}
+
+src_compile() {
+ emake -j1 || die "emake failed."
+}
+
+src_install() {
+ dobin src/cdck || die "dobin failed."
+ doman man/cdck.1
+ dodoc AUTHORS ChangeLog NEWS README THANKS TODO
+}
diff --git a/app-cdr/cdck/metadata.xml b/app-cdr/cdck/metadata.xml
new file mode 100644
index 00000000000..33e32af6ee6
--- /dev/null
+++ b/app-cdr/cdck/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>media-optical</herd>
+ <maintainer>
+ <email>zzam@gentoo.org</email>
+ <name>Matthias Schwarzott</name>
+ </maintainer>
+ <longdescription>
+ Actually cdck is a simple program to verify CD/DVD quality. The known
+ fact is that even if all files on the disc are readable, some sectors
+ having bad timing can easily turn into unreadable ones in the future.
+
+ To get an idea about disc cdck reads it sector by sector, keeping all
+ reading timings and then tells you its verdict. Optionally it can write
+ timing table into text file usable by gnuplot(1) program, so you can draw
+ some graphs out of it.
+ </longdescription>
+</pkgmetadata>